---
document: modulemd
version: 2
data:
  name: mariadb
  stream: "10.3"
  version: 8050020220427074728
  context: 9edba152
  arch: ppc64le
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: e177768ef71045c10703995f4101868d1ae533e1
        buildorder: 4
        arches: [ppc64le]
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: d322e49e4f5a4c7dcf6307832ea369d6cde97c34
        buildorder: 12
        arches: [ppc64le]
      galera:
        rationale: Galera package for MariaDB server replication
        ref: bcdb7c667a941a4ba0214c8f1c4d6bd2b60c6901
        buildorder: 16
        arches: [ppc64le]
      mariadb:
        rationale: MariaDB package
        ref: 39e1cf5a6f0043392ff50eee1bf68e4b75d23747
        buildorder: 8
        arches: [ppc64le]
  artifacts:
    rpms:
    - Judy-0:1.0.5-18.module_el8.5.0+104+3be1dd29.ppc64le
    - Judy-0:1.0.5-18.module_el8.5.0+104+3be1dd29.src
    - Judy-debuginfo-0:1.0.5-18.module_el8.5.0+104+3be1dd29.ppc64le
    - Judy-debugsource-0:1.0.5-18.module_el8.5.0+104+3be1dd29.ppc64le
...
---
document: modulemd
version: 2
data:
  name: mariadb-devel
  stream: "10.3"
  version: 8050020220427074728
  context: 9edba152
  arch: ppc64le
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: e177768ef71045c10703995f4101868d1ae533e1
        buildorder: 4
        arches: [ppc64le]
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: d322e49e4f5a4c7dcf6307832ea369d6cde97c34
        buildorder: 12
        arches: [ppc64le]
      galera:
        rationale: Galera package for MariaDB server replication
        ref: bcdb7c667a941a4ba0214c8f1c4d6bd2b60c6901
        buildorder: 16
        arches: [ppc64le]
      mariadb:
        rationale: MariaDB package
        ref: 39e1cf5a6f0043392ff50eee1bf68e4b75d23747
        buildorder: 8
        arches: [ppc64le]
  artifacts:
    rpms:
    - Judy-devel-0:1.0.5-18.module_el8.5.0+104+3be1dd29.ppc64le
    - asio-0:1.10.8-7.module_el8.5.0+104+3be1dd29.src
    - asio-devel-0:1.10.8-7.module_el8.5.0+104+3be1dd29.ppc64le
...
